1. Assets
Commusoft developer
  • Introduction
    • Introduction
    • Key concepts and relationships
    • Authentication
    • Rate-limits
    • Requests and responses
    • Core concepts and patterns
    • Support and technical support
  • CRM
    • Properties
      • List customer types
      • List properties
      • Properties
      • Customers
      • Companies
      • Work addresses
      • Customers
      • Companies
      • Work addresses
      • Properties
    • Contacts
      • List property contacts
      • Property contacts
      • Property contacts
      • Property contacts
    • Assets
      • Understanding assets
      • List asset groups
        GET
      • List asset types
        GET
      • Asset structure
        GET
      • Assets dynamic fields
        GET
      • List assets
        GET
      • Assets
        GET
      • Assets
        POST
      • Assets
        PATCH
      • Assets
        DELETE
    • Scheduled activities
      • List scheduled activities
      • Scheduled activities
      • Scheduled activities
      • Complete Scheduled Activity
      • Scheduled activities
    • Search
      GET
  • Sales
    • Opportunities
      • List opportunity pipelines
      • List opportunity stages
      • List opportunities
      • Opportunities
      • Opportunities
      • Opportunities
      • Opportunities
    • Actions
      • Change opportunity stage
  • Jobs
    • Jobs
      • List job description templates
      • List jobs
      • Jobs
      • Jobs
      • Jobs
      • Jobs
    • Forms
      • List forms
    • Actions
      • Change job stage
      • Put on hold
      • Remove on hold
      • Mark as complete
      • Mark as uncompleted
      • Mark as free of charge
      • Mark as aborted
  • Users & Vehicles
    • Users
      • List users
  • Settings
    • List titles
    • List advertising types
    • List telephone types
    • List business units
    • List user groups
    • List provinces
  • Webhooks
    • Webhooks
    • Example PHP script
  1. Assets

List assets

GET
/assets

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Query Params

Responses

🟢200Success
application/json
Headers

Bodyapplication/json

🟠400Bad request
🟠401401 Unauthorised
🟠403403 Forbidden
🟠404404 Not found
🟠409409 Conflict
🟠429429 Too many requests
Request Request Example
Shell
JavaScript
Java
Swift
curl --location '/assets' \
--header 'Authorization: Bearer <token>'
Response Response Example
200 - Success
{
    "meta": {
        "totalRecords": "occaecat ea est pariatur proident",
        "serverTime": "2026-09-10T14:24:34.027Z"
    },
    "pagination": {
        "hasMore": "in labore amet",
        "nextCursor": "aliqua officia cupidatat qui occaecat",
        "prevCursor": "et ipsum laborum"
    },
    "data": [
        {
            "assetGroupID": 638966235687396,
            "assetGroupDescription": "[\"Boilers\"]",
            "assetTypeID": 5569325759036161,
            "assetTypeDescription": "$helpers.arrayElements(['Combination boilers','System boilers','Standby generators', 'Temporary generators'])",
            "fields": {
                "standard": [
                    {
                        "key": "37417742-cbea-4ac0-8412-874e55f7caec",
                        "fieldType": "laborum elit nisi",
                        "value": "officia Duis dolore"
                    },
                    {
                        "key": "c7569c4a-a24d-4768-9587-aa9b4fd61a7f",
                        "fieldType": "adipisicing irure",
                        "value": "in pariatur nostrud enim esse"
                    },
                    {
                        "key": "8273b42d-8853-4e81-a97b-a058c32222bf",
                        "fieldType": "in nulla tempor aute officia",
                        "value": "nostrud"
                    }
                ]
            },
            "subAssetID": [
                3346695300571195,
                4371447414486425
            ]
        },
        {
            "assetGroupID": 3832024181528550,
            "assetGroupDescription": "[\"HVAC units\"]",
            "assetTypeID": 2136719976699415,
            "assetTypeDescription": "$helpers.arrayElements(['Combination boilers','System boilers','Standby generators', 'Temporary generators'])",
            "fields": {
                "standard": [
                    {
                        "key": "edd92cc0-9715-4b8a-853f-856e8a1775c1",
                        "fieldType": "labore et",
                        "value": "do"
                    },
                    {
                        "key": "025e1f9d-c8ed-406f-ba07-9ee52edb56b9",
                        "fieldType": "Duis laboris",
                        "value": "dolore tempor sint"
                    }
                ]
            },
            "subAssetID": [
                3338379706562444
            ]
        },
        {
            "assetGroupID": 1394518549328886,
            "assetGroupDescription": "[\"Heatpumps\"]",
            "assetTypeID": 4831304314878,
            "assetTypeDescription": "$helpers.arrayElements(['Combination boilers','System boilers','Standby generators', 'Temporary generators'])",
            "fields": {
                "standard": [
                    {
                        "key": "82f371b2-403c-4179-ab6e-e37ba914ea49",
                        "fieldType": "in ut",
                        "value": "aute elit labore"
                    }
                ]
            },
            "subAssetID": [
                6585809143589843,
                2802663987106620,
                292025956175223
            ]
        }
    ]
}
Modified at 2026-09-18 12:53:15
Previous
Assets dynamic fields
Next
Assets
Built with